Bug 178752 - [patch update] database/cego 2.17.12 -> 2.18.3
Summary: [patch update] database/cego 2.17.12 -> 2.18.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Niclas Zeising
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-18 20:00 UTC by Kurt Jaeger
Modified: 2013-05-23 10:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.42 KB, patch)
2013-05-18 20:00 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2013-05-18 20:00:00 UTC
	The autoconf files were updated.

	Several shared lib issues were addressed. The license was
        changed from GPLv2 to GPLv3.
 
        Other PRs for the rest of the databases/cego ports follow.

How-To-Repeat: 	-
Comment 1 Frederic Culot freebsd_committer 2013-05-18 20:56:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 2 Kurt Jaeger 2013-05-20 18:06:34 UTC
Hi!

> >Synopsis:       [patch update] database/cego 2.17.12 -> 2.18.3

Update to 2.18.4

----------

diff -r -u -N databases/cego/Makefile /usr/home/pi/myp/databases/cego/Makefile
--- databases/cego/Makefile	2013-05-16 23:24:27.000000000 +0200
+++ /usr/home/pi/myp/databases/cego/Makefile	2013-05-20 19:00:15.000000000 +0200
@@ -2,7 +2,7 @@
 # $FreeBSD: head/databases/cego/Makefile 318261 2013-05-15 19:43:20Z zeising $
 
 PORTNAME=	cego
-PORTVERSION=	2.17.12
+PORTVERSION=	2.18.4
 PORTREVISION=	1
 CATEGORIES=	databases
 MASTER_SITES=	http://www.lemke-it.com/
@@ -10,10 +10,10 @@
 MAINTAINER=	fbsd-ports@opsec.eu
 COMMENT=	Relational and transactional database system
 
-LICENSE=	GPLv2
+LICENSE=	GPLv3
 
-LIB_DEPENDS=	lfc:${PORTSDIR}/devel/lfc \
-		lfcxml:${PORTSDIR}/devel/lfcxml
+LIB_DEPENDS=	lfcbase.1:${PORTSDIR}/devel/lfcbase \
+		lfcxml.1:${PORTSDIR}/devel/lfcxml
 
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
@@ -33,6 +33,10 @@
 	@${REINPLACE_CMD} -e 's,-O3,,g' \
 		${WRKSRC}/src/Makefile.in \
 		${WRKSRC}/samples/cgplustest/Makefile.in \
-		${WRKSRC}/samples/cgwtest/Makefile.in
+		${WRKSRC}/samples/cgwraptest/Makefile.in
+
+post-install:
+	@${MKDIR} ${PREFIX}/share/cego
+	@${CP} ${WRKSRC}/tools/* ${PREFIX}/share/cego/
 
 .include <bsd.port.mk>
diff -r -u -N databases/cego/distinfo /usr/home/pi/myp/databases/cego/distinfo
--- databases/cego/distinfo	2013-05-13 23:24:22.000000000 +0200
+++ /usr/home/pi/myp/databases/cego/distinfo	2013-05-20 19:00:22.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (cego-2.17.12.tar.gz) = a900cb61ed440476797dded050b1cb3c3ac0785017bad40516ff52db0f0f83ab
-SIZE (cego-2.17.12.tar.gz) = 634109
+SHA256 (cego-2.18.4.tar.gz) = 61937098a7c0d96b0ea94ed9fb733cd6c97e472789860374d03d89bdb2fc84f6
+SIZE (cego-2.18.4.tar.gz) = 1383353
diff -r -u -N databases/cego/pkg-plist /usr/home/pi/myp/databases/cego/pkg-plist
--- databases/cego/pkg-plist	2013-01-01 15:32:16.000000000 +0100
+++ /usr/home/pi/myp/databases/cego/pkg-plist	2013-05-18 20:51:51.000000000 +0200
@@ -1,11 +1,8 @@
 bin/cego
 bin/cgadm
-bin/cgbackup
 bin/cgblow
 bin/cgclt
 bin/cglog
-bin/cgmkdb
-bin/cgrecover
 include/cego/CegoAdmNet.h
 include/cego/CegoAdminHandler.h
 include/cego/CegoBlob.h
@@ -30,8 +27,17 @@
 include/cego/CegoViewObject.h
 include/cego/cgwrap.h
 lib/libcego.a
+lib/libcego.la
+lib/libcego.so
 lib/libcego.so.1
 lib/libcgwrap.a
+lib/libcgwrap.la
+lib/libcgwrap.so
 lib/libcgwrap.so.1
+share/cego/cgbackup
+share/cego/cgrecover
+share/cego/cgmkdb
+share/cego/startdb
+share/cego/stopdb
 @dirrm include/cego
-@dirrmtry %%USER%%
+@dirrm share/cego

-- 
pi@opsec.eu            +49 171 3101372                         7 years to go !
Comment 3 Niclas Zeising freebsd_committer 2013-05-22 13:48:44 UTC
Hi!
When testing this update I discovered that a directory cego is left
behind in the installation...  What is this directory used for?  It is
right in the ${PREFIX} root, which is very unusual.
Regards!
-- 
Niclas Zeising
Comment 4 Kurt Jaeger 2013-05-22 13:57:45 UTC
Hi!

> When testing this update I discovered that a directory cego is left
> behind in the installation...

Do yoyu mean /usr/local/cego ?

> What is this directory used for?  It is
> right in the ${PREFIX} root, which is very unusual.

No, that would be wrong. I tested the 2.18.5 (came out today)
on my test host and there was no directory /usr/local/cego/.

-----------

diff -r -u -N databases/cego/Makefile /usr/home/pi/myp/databases/cego/Makefile
--- databases/cego/Makefile	2013-05-16 23:24:27.000000000 +0200
+++ /usr/home/pi/myp/databases/cego/Makefile	2013-05-22 14:50:01.000000000 +0200
@@ -2,7 +2,7 @@
 # $FreeBSD: head/databases/cego/Makefile 318261 2013-05-15 19:43:20Z zeising $
 
 PORTNAME=	cego
-PORTVERSION=	2.17.12
+PORTVERSION=	2.18.5
 PORTREVISION=	1
 CATEGORIES=	databases
 MASTER_SITES=	http://www.lemke-it.com/
@@ -10,10 +10,10 @@
 MAINTAINER=	fbsd-ports@opsec.eu
 COMMENT=	Relational and transactional database system
 
-LICENSE=	GPLv2
+LICENSE=	GPLv3
 
-LIB_DEPENDS=	lfc:${PORTSDIR}/devel/lfc \
-		lfcxml:${PORTSDIR}/devel/lfcxml
+LIB_DEPENDS=	lfcbase.1:${PORTSDIR}/devel/lfcbase \
+		lfcxml.1:${PORTSDIR}/devel/lfcxml
 
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
@@ -33,6 +33,10 @@
 	@${REINPLACE_CMD} -e 's,-O3,,g' \
 		${WRKSRC}/src/Makefile.in \
 		${WRKSRC}/samples/cgplustest/Makefile.in \
-		${WRKSRC}/samples/cgwtest/Makefile.in
+		${WRKSRC}/samples/cgwraptest/Makefile.in
+
+post-install:
+	@${MKDIR} ${PREFIX}/share/cego
+	@${CP} ${WRKSRC}/tools/* ${PREFIX}/share/cego/
 
 .include <bsd.port.mk>
diff -r -u -N databases/cego/distinfo /usr/home/pi/myp/databases/cego/distinfo
--- databases/cego/distinfo	2013-05-13 23:24:22.000000000 +0200
+++ /usr/home/pi/myp/databases/cego/distinfo	2013-05-22 14:50:06.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (cego-2.17.12.tar.gz) = a900cb61ed440476797dded050b1cb3c3ac0785017bad40516ff52db0f0f83ab
-SIZE (cego-2.17.12.tar.gz) = 634109
+SHA256 (cego-2.18.5.tar.gz) = 7aae97b0b3401b0dc3d810e8a52276a5c6356cef59d38e7c0fe6d6a04f987018
+SIZE (cego-2.18.5.tar.gz) = 1383948
diff -r -u -N databases/cego/pkg-plist /usr/home/pi/myp/databases/cego/pkg-plist
--- databases/cego/pkg-plist	2013-01-01 15:32:16.000000000 +0100
+++ /usr/home/pi/myp/databases/cego/pkg-plist	2013-05-18 20:51:51.000000000 +0200
@@ -1,11 +1,8 @@
 bin/cego
 bin/cgadm
-bin/cgbackup
 bin/cgblow
 bin/cgclt
 bin/cglog
-bin/cgmkdb
-bin/cgrecover
 include/cego/CegoAdmNet.h
 include/cego/CegoAdminHandler.h
 include/cego/CegoBlob.h
@@ -30,8 +27,17 @@
 include/cego/CegoViewObject.h
 include/cego/cgwrap.h
 lib/libcego.a
+lib/libcego.la
+lib/libcego.so
 lib/libcego.so.1
 lib/libcgwrap.a
+lib/libcgwrap.la
+lib/libcgwrap.so
 lib/libcgwrap.so.1
+share/cego/cgbackup
+share/cego/cgrecover
+share/cego/cgmkdb
+share/cego/startdb
+share/cego/stopdb
 @dirrm include/cego
-@dirrmtry %%USER%%
+@dirrm share/cego

-- 
pi@opsec.eu            +49 171 3101372                         7 years to go !
Comment 5 Niclas Zeising freebsd_committer 2013-05-22 14:18:39 UTC
On 05/22/13 14:57, Kurt Jaeger wrote:
> Hi!
> 
>> When testing this update I discovered that a directory cego is left
>> behind in the installation...
> 
> Do yoyu mean /usr/local/cego ?

Yes.
> 
>> What is this directory used for?  It is
>> right in the ${PREFIX} root, which is very unusual.
> 
> No, that would be wrong. I tested the 2.18.5 (came out today)
> on my test host and there was no directory /usr/local/cego/.
> 

I'll test your new patch and get back to you if I still see that weird
directory lying around.
Regards!
-- 
Niclas Zeising
Comment 6 Niclas Zeising freebsd_committer 2013-05-22 14:32:31 UTC
On 05/22/13 15:18, Niclas Zeising wrote:
> On 05/22/13 14:57, Kurt Jaeger wrote:
>> Hi!
>>
>>> When testing this update I discovered that a directory cego is left
>>> behind in the installation...
>>
>> Do yoyu mean /usr/local/cego ?
> 
> Yes.
>>
>>> What is this directory used for?  It is
>>> right in the ${PREFIX} root, which is very unusual.
>>
>> No, that would be wrong. I tested the 2.18.5 (came out today)
>> on my test host and there was no directory /usr/local/cego/.
>>
> 
> I'll test your new patch and get back to you if I still see that weird
> directory lying around.

I still get that directory hanging around.  It is probably because you
removed @dirrmtry %%USER%% from pkg-plist.
Regards!
-- 
Niclas Zeising
Comment 7 Kurt Jaeger 2013-05-22 15:09:55 UTC
Hi!

> >>> When testing this update I discovered that a directory cego is left
> >>> behind in the installation...
> >>
> >> Do yoyu mean /usr/local/cego ?
> > 
> > Yes.

Aha, if I remove user cego, a make install creates it.

> >>> What is this directory used for?  It is
K
> >>> right in the ${PREFIX} root, which is very unusual.
> >>
> >> No, that would be wrong. I tested the 2.18.5 (came out today)
> >> on my test host and there was no directory /usr/local/cego/.
> >>
> > 
> > I'll test your new patch and get back to you if I still see that weird
> > directory lying around.
> 
> I still get that directory hanging around.  It is probably because you
> removed @dirrmtry %%USER%% from pkg-plist.

Yes, that was the reason.

Should I provide a new patch or will you add the line to pkg-plist ?

-- 
pi@opsec.eu            +49 171 3101372                         7 years to go !
Comment 8 Niclas Zeising freebsd_committer 2013-05-22 15:23:31 UTC
On 05/22/13 16:09, Kurt Jaeger wrote:
> Hi!
> 
>>>>> When testing this update I discovered that a directory cego is left
>>>>> behind in the installation...
>>>>
>>>> Do yoyu mean /usr/local/cego ?
>>>
>>> Yes.
> 
> Aha, if I remove user cego, a make install creates it.

Something, probably make install, adds user and group cego, and creates
/usr/local/cego, probably because the line for the user cego has
/usr/local/cego as home directory.  See ports/UIDs.  It is possible to
change this, but will probably be a big hassle for existing
installations.  It is fine to have /usr/local/cego, as long as it is
removed upon uninstallation.  What files are usually kept in there?
> 
>>>>> What is this directory used for?  It is
> K
>>>>> right in the ${PREFIX} root, which is very unusual.
>>>>
>>>> No, that would be wrong. I tested the 2.18.5 (came out today)
>>>> on my test host and there was no directory /usr/local/cego/.
>>>>
>>>
>>> I'll test your new patch and get back to you if I still see that weird
>>> directory lying around.
>>
>> I still get that directory hanging around.  It is probably because you
>> removed @dirrmtry %%USER%% from pkg-plist.
> 
> Yes, that was the reason.
> 
> Should I provide a new patch or will you add the line to pkg-plist ?
> 

I can fix it, but if the folder isn't used for anything, it might be
better to change home dir for the user cego instead. :)
Regards!
-- 
Niclas Zeising
Comment 9 Kurt Jaeger 2013-05-23 06:23:30 UTC
Hi!

> >>>>> When testing this update I discovered that a directory cego is left
> >>>>> behind in the installation...

> >>>> Do yoyu mean /usr/local/cego ?

> >>> Yes.

> > Aha, if I remove user cego, a make install creates it.

> Something, probably make install, adds user and group cego, and creates
> /usr/local/cego, probably because the line for the user cego has
> /usr/local/cego as home directory.  See ports/UIDs.  It is possible to
> change this, but will probably be a big hassle for existing
> installations.  It is fine to have /usr/local/cego, as long as it is
> removed upon uninstallation.  What files are usually kept in there?

It's the $HOME for the dba -- so if someone wants to customize
the dba environment...

Btw, there's 2.18.6 out.

------------
diff -r -u -N databases/cego/Makefile /usr/home/pi/myp/databases/cego/Makefile
--- databases/cego/Makefile	2013-05-16 23:24:27.000000000 +0200
+++ /usr/home/pi/myp/databases/cego/Makefile	2013-05-23 06:42:30.000000000 +0200
@@ -2,7 +2,7 @@
 # $FreeBSD: head/databases/cego/Makefile 318261 2013-05-15 19:43:20Z zeising $
 
 PORTNAME=	cego
-PORTVERSION=	2.17.12
+PORTVERSION=	2.18.6
 PORTREVISION=	1
 CATEGORIES=	databases
 MASTER_SITES=	http://www.lemke-it.com/
@@ -10,10 +10,10 @@
 MAINTAINER=	fbsd-ports@opsec.eu
 COMMENT=	Relational and transactional database system
 
-LICENSE=	GPLv2
+LICENSE=	GPLv3
 
-LIB_DEPENDS=	lfc:${PORTSDIR}/devel/lfc \
-		lfcxml:${PORTSDIR}/devel/lfcxml
+LIB_DEPENDS=	lfcbase.1:${PORTSDIR}/devel/lfcbase \
+		lfcxml.1:${PORTSDIR}/devel/lfcxml
 
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
@@ -33,6 +33,10 @@
 	@${REINPLACE_CMD} -e 's,-O3,,g' \
 		${WRKSRC}/src/Makefile.in \
 		${WRKSRC}/samples/cgplustest/Makefile.in \
-		${WRKSRC}/samples/cgwtest/Makefile.in
+		${WRKSRC}/samples/cgwraptest/Makefile.in
+
+post-install:
+	@${MKDIR} ${PREFIX}/share/cego
+	@${CP} ${WRKSRC}/tools/* ${PREFIX}/share/cego/
 
 .include <bsd.port.mk>
diff -r -u -N databases/cego/distinfo /usr/home/pi/myp/databases/cego/distinfo
--- databases/cego/distinfo	2013-05-13 23:24:22.000000000 +0200
+++ /usr/home/pi/myp/databases/cego/distinfo	2013-05-23 06:42:41.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (cego-2.17.12.tar.gz) = a900cb61ed440476797dded050b1cb3c3ac0785017bad40516ff52db0f0f83ab
-SIZE (cego-2.17.12.tar.gz) = 634109
+SHA256 (cego-2.18.6.tar.gz) = a8c0e5fe83e29f1b85bb75cce7d66d03399721e4dfe49e136bbcc5164819e0b0
+SIZE (cego-2.18.6.tar.gz) = 1462977
diff -r -u -N databases/cego/pkg-plist /usr/home/pi/myp/databases/cego/pkg-plist
--- databases/cego/pkg-plist	2013-01-01 15:32:16.000000000 +0100
+++ /usr/home/pi/myp/databases/cego/pkg-plist	2013-05-22 16:00:40.000000000 +0200
@@ -1,11 +1,8 @@
 bin/cego
 bin/cgadm
-bin/cgbackup
 bin/cgblow
 bin/cgclt
 bin/cglog
-bin/cgmkdb
-bin/cgrecover
 include/cego/CegoAdmNet.h
 include/cego/CegoAdminHandler.h
 include/cego/CegoBlob.h
@@ -30,8 +27,18 @@
 include/cego/CegoViewObject.h
 include/cego/cgwrap.h
 lib/libcego.a
+lib/libcego.la
+lib/libcego.so
 lib/libcego.so.1
 lib/libcgwrap.a
+lib/libcgwrap.la
+lib/libcgwrap.so
 lib/libcgwrap.so.1
+share/cego/cgbackup
+share/cego/cgrecover
+share/cego/cgmkdb
+share/cego/startdb
+share/cego/stopdb
 @dirrm include/cego
+@dirrm share/cego
 @dirrmtry %%USER%%
------------

-- 
pi@opsec.eu            +49 171 3101372                         7 years to go !
Comment 10 Niclas Zeising freebsd_committer 2013-05-23 09:59:11 UTC
On 05/23/13 07:23, Kurt Jaeger wrote:
> Hi!
> 
>>>>>>> When testing this update I discovered that a directory cego is left
>>>>>>> behind in the installation...
> 
>>>>>> Do yoyu mean /usr/local/cego ?
> 
>>>>> Yes.
> 
>>> Aha, if I remove user cego, a make install creates it.
> 
>> Something, probably make install, adds user and group cego, and creates
>> /usr/local/cego, probably because the line for the user cego has
>> /usr/local/cego as home directory.  See ports/UIDs.  It is possible to
>> change this, but will probably be a big hassle for existing
>> installations.  It is fine to have /usr/local/cego, as long as it is
>> removed upon uninstallation.  What files are usually kept in there?
> 
> It's the $HOME for the dba -- so if someone wants to customize
> the dba environment...

Ok, then we'll just leave it as-is for now, to avoid messing with
people's installations.

> 
> Btw, there's 2.18.6 out.

Damn, they work fast.  I'm right on it, hopefully I can get all of it in
today. :)
Regards!
-- 
Niclas Zeising
Comment 11 Niclas Zeising freebsd_committer 2013-05-23 10:33:55 UTC
Responsible Changed
From-To: culot->zeising

Grab from culot, since he doesn't have time to work on this.  OKd by: 
culot
Comment 12 Niclas Zeising freebsd_committer 2013-05-23 10:34:36 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 13 Niclas Zeising 2013-05-23 10:35:43 UTC
On 05/23/13 10:59, Niclas Zeising wrote:
> 
> Damn, they work fast.  I'm right on it, hopefully I can get all of it in
> today. :)
> Regards!
> 

Ok, all done and committed!
Regards!
-- 
Niclas Zeising